local Addon, private = ...

setfenv(1, private)

-- Private methods
-- ============================================================================

-- Public methods
-- ============================================================================

Widgets = Widgets or { }

function Widgets.h2(page, style, module, heading, html, createFrame)
	local self = createFrame("Text", "h2", page, function(text)
		text:SetFontSize(style.h2.fontSize)
		text:SetEffectGlow(style.h2.glow)
		text:SetFontColor(ColorFromHtml(style.h2.color))
	end)
	self:SetText(heading, html)
	
	return self, self, 0
end
