local Addon, private = ...

setfenv(1, private)

-- Private methods
-- ============================================================================

-- Public methods
-- ============================================================================

Widgets = Widgets or { }

function Widgets.p(page, style, module, text, html, createFrame)
	local self = createFrame("Text", "p", page, function(text)
		text:SetFontSize(style.p.fontSize)
		text:SetEffectGlow(style.p.glow)
		text:SetFontColor(ColorFromHtml(style.p.color))
		text:SetWordwrap(true)
	end)
	if(html) then
		self:SetText(MakeLinks(style, tostring(page), module, tostring(text)), html)
	else
		self:SetText(tostring(text), html)
	end
	
	return self, self, 0
end
